/** \file sparam_function.h
*   \brief サーバに関するバインド用ファイル
*   \auther Shun.E
*/
#ifndef SPARAM_FUNCTION
#define SPARAM_FUNCTION

#include <rcsc/player/soccer_action.h>
#include <rcsc/geom/vector_2d.h>

class SParamFunction
{

public :
	SParamFunction () {}

	/** \file openFile
	*   \brief Luaファイルを開く
	*/
	void openFile();

	/** \file bindFunc
	*   \brief 関数のバインドを行う
	*/
	void bindFunc();
};

#endif
