--[[
   ゲームモードに関する関数をLuaで実装
   GameMode.lua
]]

--ゲームモードタイプを取得
function GameModeType()
   local mtype = nowGameModeType()

   --キックオフ
   if (mtype == 0) then
	return "KickOff" 
   end

   --アフターゴール
   if (mtype == 1) then
	return "AfterGoal" 
   end

   --バックパス
   if (mtype == 2) then
	return "BackPass" 
   end

   --インダイレクトフリー
   if (mtype == 3) then
	return "IndirectFreeKick" 
   end

   --キックイン
   if (mtype == 4) then
	return "KickIn" 
   end

   --ゴールキック
   if (mtype == 5) then
	return "GoalKick" 
   end

   --コーナーキック
   if (mtype == 6) then
	return "CornerKick" 
   end

   --ファールチャージ
   if (mtype == 7) then
	return "FoulCharge" 
   end

   --ファールプッシュ
   if (mtype == 8) then
	return "FoulPush" 
   end

   --ペナルティセットアップ
   if (mtype == 9) then
	return "PenaltySetup" 
   end

   --ペナルティレディ
   if (mtype == 10) then
	return "PenaltyReady" 
   end

   --ペナルティトークン
   if (mtype == 11) then
	return "PenaltyTaken" 
   end

   --ペナルティスコア
   if (mtype == 12) then
	return "PenaltyScore" 
   end

   --ペナルティミス
   if (mtype == 13) then
	return "PenaltyMiss" 
   end

   --ペナルティオンフィールド
   if (mtype == 14) then
	return "PenaltyOnfield" 
   end

   --ペナルティファール
   if (mtype == 15) then
	return "PenaltyFoul" 
   end

   --プレイオン
   if (mtype == 16) then
	return "PlayOn" 
   end
end

--ゲームモードサイドを取得
function GameModeSide()
   local mside = nowGameModeSide()
   if (mside == 0) then
	return "NEUTRAL"
   end

   --レフト
   if (mside == 1) then
	return "LEFT"
   end

   --ライト
   if (mside == 2) then
	return "RIGHT"
   end
end
