--[[
   シュートに関するプログラム
   shoot.lua
]]
agentShoot = ForceShoot() --bhv_force_shoot
local ShootStep = 3

local goalPosX = 0.0
local goalPosY = 0.0

--シュートの設定
function Shoot(maxstep)
   ShootStep = maxstep
end

--ゴールの場所を入手する
function getGoalPos()
   goalPosX = oppGoalPosX()
   goalPosY = oppGoalPosY()
   return 1
end

function shoot_main()
    local stp = ShootStep
    ShootStep = 3
    --もしシュートできるなら
    if (basic_shoot(stp)) then
	--キーパーを探す
	Neck_TurnToGoalieOrScan()
	return true
    end
    return false

end

--外部から呼び出すためのシュート
function basic_shoot(stp)
   --デフォルトのショートを試みる
   if (agentShoot:default_shoot()) then
	return true
   end

   --ゴールの場所取得
   getGoalPos()
   --ボールの最大スピード取得
   ballSpeed = getBallSpeedMax()


   --敵がいる状態なら一回キックする
   if (existKickableOpponent()) then
	--print("kickonestep")
	if (agentShoot:KickOneStep(goalPosX,goalPosY,ballSpeed)) then
		return true
	end
   end

   --スマートキックを試みる
   if (agentShoot:SmartKick(goalPosX,goalPosY,ballSpeed,stp)) then
	return true
   end

   --もう一度蹴ってみる
   if (agentShoot:KickOneStep(goalPosX,goalPosY,ballSpeed)) then
	return true
   end
 
   --できないならボールをキープ(false)
   return false
end
