--[[
  ロボカップ用のLuaスクリプト
  bhv_basic_tackleをLuaで実装している
]]

min_prob = 0.8 --タックル成功率最小値
body_thr = 80.0 --タックルの方向

--タックルすべき状況かどうかの関数
function is_tackleable(prob)
   min_prob = 0.8 --元々の変数値はデフォルトに戻しておく
   tackle_prob = getTackleProbability()
   
   --敵がいて自分のタックルが成功する可能性がある場合
   if ((existKickableOpponent()) and
		(tackle_prob > prob)) then
	return true
   end

   --タックルすべき状態ではない
   return false
end

--タックルを試みる
function try_tackle(thr)
   --パラメータ確保
   tackle_pow = getPower()
   self_thr = getSelfBodyAbs()

   --タックルに成功したかどうか
   if (self_thr < thr) then
	doTackle(tackle_pow)
	return true
   elseif (self_thr > 180.0 - thr) then
	doTackle(-tackle_pow)
	return true
   end

   --タックル失敗
   return false
end

--タックルのメイン
function tackle_main()
   local thr = body_thr
   body_thr = 80.0--元々の変数値はデフォルトに戻しておく
   --print("luasc:Tackle")

   --[[if(getSelfNum() == 11) then
	print(min_prob)
   end]]
   --タックルするかどうか
   bool = is_tackleable(min_prob)
   if (bool) then
	--タックルの成否を返す
	return try_tackle(thr)
   end

   --タックルは行わない
   return false
end

--タックルを設定する
function Tackle(prob, dist)
   min_prob = prob
   body_thr = dist
   --return tackle_main(min_prob, body_thr)
end

